Jump to content
Ultimaker Community of 3D Printing Experts
le_avion

Cura 3.4.1: Print Over Network for GCode problem

Recommended Posts

In past versions of Cura I was able to generate gcode with another slicer and then send it to the printer (UM3e) over the network using Cura. In version 3.4.1 it goes through the motions of uploading the gcode to the printer but nothing else is happening. The monitor page shows that the printer is doing nothing and the printer display shows it is idle.  Is this a bug or some configuration has changed?

Share this post


Link to post
Share on other sites

I'm not sure, if this is a new behavior, but if the printer refuses the file (for whatever reason) there's no visible error message.

There are probably hints in the log files of the printer.

 

I know two possible reasons why this happens (there are probably more...)

 

Did you updated the firmware recently? Then the mandatory content of the gcode header may be different. In this case you can try to generate a similar file with Cura and compare the headers. The last addition was the material guid.

 

Another reason: make sure to remove all post-processing scripts before you upload the gcode. Post-processing takes place for pre-sliced files too and this may mess up your file.

(there's a new feature of Cura 3.4: post-processing scripts stay active until you manually remove them)

Share this post


Link to post
Share on other sites

One more thing to note is that I have no problem printing the gcode if I put it on the USB drive. The issue is only with submitting the gcode remotely via Cura.

 

Here is the Cura log (relevant lines only):

 

pre widget

2018-09-07 09:27:16,384 - DEBUG - [MainThread] UFPWriter.UFPWriter._createSnapshot [25]: Creating thumbnail image...
2018-09-07 09:27:16,384 - INFO - [Thread-8] SliceInfoPlugin.SliceInfoJob.run [29]: Sending anonymous slice info to [https://stats.ultimaker.com/api/cura]...
2018-09-07 09:27:16,409 - INFO - [MainThread] UM3NetworkPrinting.ClusterUM3OutputDevice._sendPrintJob [162]: Sending print job to printer.
2018-09-07 09:27:16,733 - ERROR - [Thread-8] UM.Logger.logException [81]: Exception: An exception occurred while trying to send slice information
2018-09-07 09:27:16,746 - ERROR - [Thread-8] UM.Logger.logException [85]: Traceback (most recent call last):
2018-09-07 09:27:16,761 - ERROR - [Thread-8] UM.Logger.logException [85]:   File "/build/env/3.4/inst/lib/python3.5/urllib/request.py", line 1254, in do_open
2018-09-07 09:27:16,771 - ERROR - [Thread-8] UM.Logger.logException [85]:   File "/build/env/3.4/inst/lib/python3.5/http/client.py", line 1106, in request
2018-09-07 09:27:16,773 - ERROR - [Thread-8] UM.Logger.logException [85]:   File "/build/env/3.4/inst/lib/python3.5/http/client.py", line 1151, in _send_request
2018-09-07 09:27:16,781 - ERROR - [Thread-8] UM.Logger.logException [85]:   File "/build/env/3.4/inst/lib/python3.5/http/client.py", line 1102, in endheaders
2018-09-07 09:27:16,783 - ERROR - [Thread-8] UM.Logger.logException [85]:   File "/build/env/3.4/inst/lib/python3.5/http/client.py", line 934, in _send_output
2018-09-07 09:27:16,785 - ERROR - [Thread-8] UM.Logger.logException [85]:   File "/build/env/3.4/inst/lib/python3.5/http/client.py", line 877, in send
2018-09-07 09:27:16,787 - ERROR - [Thread-8] UM.Logger.logException [85]:   File "/build/env/3.4/inst/lib/python3.5/http/client.py", line 1260, in connect
2018-09-07 09:27:16,790 - ERROR - [Thread-8] UM.Logger.logException [85]:   File "/build/env/3.4/inst/lib/python3.5/ssl.py", line 377, in wrap_socket
2018-09-07 09:27:16,803 - ERROR - [Thread-8] UM.Logger.logException [85]:   File "/build/env/3.4/inst/lib/python3.5/ssl.py", line 752, in __init__
2018-09-07 09:27:16,813 - ERROR - [Thread-8] UM.Logger.logException [85]:   File "/build/env/3.4/inst/lib/python3.5/ssl.py", line 988, in do_handshake
2018-09-07 09:27:16,816 - ERROR - [Thread-8] UM.Logger.logException [85]:   File "/build/env/3.4/inst/lib/python3.5/ssl.py", line 633, in do_handshake
2018-09-07 09:27:16,824 - ERROR - [Thread-8] UM.Logger.logException [85]: ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:645)
2018-09-07 09:27:16,827 - ERROR - [Thread-8] UM.Logger.logException [85]: 
2018-09-07 09:27:16,830 - ERROR - [Thread-8] UM.Logger.logException [85]: During handling of the above exception, another exception occurred:
2018-09-07 09:27:16,833 - ERROR - [Thread-8] UM.Logger.logException [85]: 
2018-09-07 09:27:16,836 - ERROR - [Thread-8] UM.Logger.logException [85]: Traceback (most recent call last):
2018-09-07 09:27:16,844 - ERROR - [Thread-8] UM.Logger.logException [85]:   File "/tmp/.mount_hK8gvZ/usr/bin/plugins/plugins/SliceInfoPlugin/SliceInfoJob.py", line 32, in run
2018-09-07 09:27:16,863 - ERROR - [Thread-8] UM.Logger.logException [85]:     f = urllib.request.urlopen(self._url, **kwoptions)
2018-09-07 09:27:16,866 - ERROR - [Thread-8] UM.Logger.logException [85]:   File "/build/env/3.4/inst/lib/python3.5/urllib/request.py", line 163, in urlopen
2018-09-07 09:27:16,869 - ERROR - [Thread-8] UM.Logger.logException [85]:   File "/build/env/3.4/inst/lib/python3.5/urllib/request.py", line 466, in open
2018-09-07 09:27:16,872 - ERROR - [Thread-8] UM.Logger.logException [85]:   File "/build/env/3.4/inst/lib/python3.5/urllib/request.py", line 484, in _open
2018-09-07 09:27:16,874 - ERROR - [Thread-8] UM.Logger.logException [85]:   File "/build/env/3.4/inst/lib/python3.5/urllib/request.py", line 444, in _call_chain
2018-09-07 09:27:16,877 - ERROR - [Thread-8] UM.Logger.logException [85]:   File "/build/env/3.4/inst/lib/python3.5/urllib/request.py", line 1297, in https_open
2018-09-07 09:27:16,891 - ERROR - [Thread-8] UM.Logger.logException [85]:   File "/build/env/3.4/inst/lib/python3.5/urllib/request.py", line 1256, in do_open
2018-09-07 09:27:16,900 - ERROR - [Thread-8] UM.Logger.logException [85]: urllib.error.URLError: <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:645)>
2018-09-07 09:27:21,648 - DEBUG - [Thread-9] UM.FileHandler.WriteFileJob.run [61]: Writing file took 5.2351133823394775 seconds
2018-09-07 09:27:27,098 - DEBUG - [MainThread] UM.Controller.setActiveStage [164]: Setting active stage to MonitorStage
2018-09-07 09:27:27,280 - WARNING - [MainThread] UM.Qt.QtApplication.__onQmlWarning [301]: file:///tmp/.mount_hK8gvZ/usr/bin/qt/qml/QtQuick/Controls/Styles/Base/ScrollViewStyle.qml:384: ReferenceError: __styleData is not defined

 

 

And here is the U3e log (relevant lines only):

 

Sep 07 14:27:49 ultimakersystem-ccbdd3001a3d flipflop_wsgi.py[492]: 14:27:49 - WAR - app.libs.g_code_parser:129 - G-code file [/var/spool/cluster/3fd802e9-3e61-49dd-9970-86f8effc115a/Pre-sliced_file_Sphere_1.gcode.gz]: does not contain any extruder train data
Sep 07 14:27:49 ultimakersystem-ccbdd3001a3d flipflop_wsgi.py[492]: 14:27:49 - WAR - app.apis.print_jobs:162 - G-code file [/var/spool/cluster/3fd802e9-3e61-49dd-9970-86f8effc115a/Pre-sliced_file_Sphere_1.gcode.gz] is not supported, removing...
Sep 07 14:27:50 ultimakersystem-ccbdd3001a3d connmand[218]: ntp: time slew -0.002800 s

 

Edited by le_avion

Share this post


Link to post
Share on other sites

This message is pretty clear:

G-code file [...] does not contain any extruder train data

As i said: compare the gcode header with an example that is generated by a recent version of Cura and play "find the seven differences"...

...or post the gcode header from your file and @nallath can tell you the missing parts... ?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Our picks

    • Introducing Ultimaker Cura 3.6 | Beta
      Ultimaker Cura 3.6 | Beta is available. It comes with new features, bug fixes, and UX improvements. We would really like to have your feedback on it to make our stable release as good as it can be. As always, you can download the beta for free from our website, for Windows, MacOS, and Linux.
        • Like
      • 83 replies
    • Print Core CC | Red for Ruby
      Q: For some users, abrasive materials may be a new subject matter. Can you explain what it is that makes a material abrasive when you are not sure which print core to use?
      A: Materials which are hard in a solid piece (like metals, ceramics and carbon fibers) will generally also wear down the nozzle. In general one should assume...
        • Like
      • 30 replies
    • "Back To The Future" using Generative Design & Investment Casting
      Designing for light-weight parts is becoming more important, and I’m a firm believer in the need to produce lighter weight, less over-engineered parts for the future. This is for sustainability reasons because we need to be using less raw materials and, in things like transportation, it impacts the energy usage of the product during it’s service life.
        • Like
      • 12 replies
×

Important Information

Welcome to the Ultimaker Community of 3D printing experts. Visit the following links to read more about our Terms of Use or our Privacy Policy. Thank you!